[tool.poetry]
name = "musicmuster"
version = "1.7.5"
description = "Music player for internet radio"
authors = ["Keith Edmunds <kae@midnighthax.com>"]

[tool.poetry.dependencies]
python = "^3.9"
tinytag = "^1.7.0"
SQLAlchemy = "^2.0.22"
python-vlc = "^3.0.12118"
mysqlclient = "^2.1.0"
mutagen = "^1.45.1"
alembic = "^1.7.5"
psutil = "^5.9.0"
pydub = "^0.25.1"
types-psutil = "^5.8.22"
python-slugify = "^6.1.2"
thefuzz = "^0.19.0"
python-Levenshtein = "^0.12.2"
pyfzf = "^0.3.1"
pydymenu = "^0.5.2"
stackprinter = "^0.2.10"
obsws-python = "^1.4.2"
pyqt6 = "^6.5.0"
pyqt6-webengine = "^6.5.0"
pygame = "^2.4.0"
pyqtgraph = "^0.13.3"

[tool.poetry.dev-dependencies]
ipdb = "^0.13.9"
pytest = "^7.0.1"
pytest-qt = "^4.0.2"
pydub-stubs = "^0.25.1"
line-profiler = "^4.0.2"
flakehell = "^0.9.0"

[tool.poetry.group.dev.dependencies]
pudb = "^2023.1"
sphinx = "^7.0.1"
furo = "^2023.5.20"
black = "^23.3.0"
flakehell = "^0.9.0"
mypy = "^1.7.0"
pdbp = "^1.5.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

[tool.mypy]
# mypy_path = "/home/kae/.cache/pypoetry/virtualenvs/musicmuster-oWgGw1IG-py3.9:/home/kae/git/musicmuster/app"
mypy_path = "/home/kae/git/musicmuster/app"

[tool.pytest.ini_options]
addopts = "--exitfirst --showlocals --capture=no"
pythonpath = [".", "app"]
filterwarnings = "ignore:'audioop' is deprecated"

[tool.vulture]
exclude = ["migrations", "app/ui", "archive"]
paths = ["app"]
make_whitelist = true
